slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPCreate

Creates the default PEP context.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCreate(MPI_Comm comm,PEP *outpep)

Collective

### Input Parameter

| comm | - MPI communicator

### Output Parameter

| outpep | - location to put the PEP context

### Note

The default PEP type is PEPTOAR

### See Also

PEPSetUp(), PEPSolve(), PEPDestroy(), PEP

### Level

beginner

### Location

src/pep/interface/pepbasic.c

### Examples

src/pep/tutorials/ex16.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex50.c
src/pep/tutorials/nlevp/acoustic_wave_1d.c
src/pep/tutorials/nlevp/acoustic_wave_2d.c
src/pep/tutorials/nlevp/butterfly.c
src/pep/tutorials/nlevp/damped_beam.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages